play.data

## Class MemoryUpload

- java.lang.Object
- - play.data.MemoryUpload

All Implemented Interfaces:
  Upload

    public class MemoryUpload
    extends java.lang.Object
    implements Upload

### Constructor Summary

Constructors
Constructor and Description
`MemoryUpload(FileItem fileItem)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `asBytes()`
`java.io.File` `asFile()`
`java.io.InputStream` `asStream()`
`java.lang.String` `getContentType()`
`java.lang.String` `getFieldName()`
`java.lang.String` `getFileName()`
`java.lang.Long` `getSize()`
`boolean` `isInMemory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryUpload

    public MemoryUpload(FileItem fileItem)

### Method Detail

#### asFile

    public java.io.File asFile()

Specified by:
  `asFile` in interface `Upload`

#### asBytes

    public byte[] asBytes()

Specified by:
  `asBytes` in interface `Upload`

#### asStream

    public java.io.InputStream asStream()

Specified by:
  `asStream` in interface `Upload`

#### getContentType

    public java.lang.String getContentType()

Specified by:
  `getContentType` in interface `Upload`

#### getFileName

    public java.lang.String getFileName()

Specified by:
  `getFileName` in interface `Upload`

#### getFieldName

    public java.lang.String getFieldName()

Specified by:
  `getFieldName` in interface `Upload`

#### getSize

    public java.lang.Long getSize()

Specified by:
  `getSize` in interface `Upload`

#### isInMemory

    public boolean isInMemory()

Specified by:
  `isInMemory` in interface `Upload`